[arch-commits] Commit in libgphoto2/repos (extra-i686 extra-i686/PKGBUILD)

Eduardo Romero eduardo at archlinux.org
Mon Jul 14 14:54:54 EDT 2008


    Date: Monday, July 14, 2008 @ 14:54:54
  Author: eduardo
Revision: 5287

Merged revisions 517-5286 via svnmerge from 
svn+ssh://archlinux.org/home/svn-packages/libgphoto2/trunk

........
  r4665 | eduardo | 2008-07-08 11:31:13 -0400 (Tue, 08 Jul 2008) | 1 line
........
  r4680 | eduardo | 2008-07-08 16:15:01 -0400 (Tue, 08 Jul 2008) | 1 line
........
  r4748 | eduardo | 2008-07-09 15:19:37 -0400 (Wed, 09 Jul 2008) | 1 line
........
  r4761 | eduardo | 2008-07-09 16:11:07 -0400 (Wed, 09 Jul 2008) | 1 line
........
  r5286 | eduardo | 2008-07-14 14:27:39 -0400 (Mon, 14 Jul 2008) | 1 line
........

Modified:
  libgphoto2/repos/extra-i686/	(properties)
  libgphoto2/repos/extra-i686/PKGBUILD

----------+
 PKGBUILD |   21 ++++++++++-----------
 1 file changed, 10 insertions(+), 11 deletions(-)


Property changes on: libgphoto2/repos/extra-i686
___________________________________________________________________
Name: svnmerge-integrated
   - /libgphoto2/trunk:1-516
   + /libgphoto2/trunk:1-5286

Modified: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2008-07-14 18:27:39 UTC (rev 5286)
+++ extra-i686/PKGBUILD	2008-07-14 18:54:54 UTC (rev 5287)
@@ -3,8 +3,8 @@
 # Contributor: Damir Perisa <damir.perisa at bluewin.ch>
 
 pkgname=libgphoto2
-pkgver=2.4.0
-pkgrel=6
+pkgver=2.4.2
+pkgrel=1
 pkgdesc="The core of gphoto2 software. It is a portable library to gives access to more than 400 digital cameras."
 arch=(i686 x86_64)
 url="http://www.gphoto.org"
@@ -12,10 +12,9 @@
 license=(LGPL)
 install=(libgphoto2.install)
 source=(http://downloads.sourceforge.net/gphoto/${pkgname}-${pkgver}.tar.gz
-	no-mdns.patch fix-udev.patch)
-md5sums=('adef1a564d3d1a48e1c13ece34b111b6'
-         '28f57616cbba6f12ca113b87c8123993'
-         'e5f3b19f7cdca8d72190170da995dfec')
+	no-mdns.patch)
+md5sums=('7ec19a0f434da3aea15e136b9dacdd04'
+         '28f57616cbba6f12ca113b87c8123993')
 options=('libtool')
 
 build() {
@@ -30,10 +29,10 @@
 
   # Relibtoolize, doesn't compile without it.
   libtoolize --force --copy || return 1
-  AT_M4DIR=". m4m" autoreconf || return 1
+  AT_M4DIR=". m4m" autoreconf -i --force || return 1
   pushd libgphoto2_port || return 1
   libtoolize --force --copy || return 1
-  autoreconf || return 1
+  autoreconf -i --force || return 1
   popd 
 
   ./configure --prefix=/usr --with-exif --disable-static || return 1
@@ -55,7 +54,7 @@
       ${startdir}/pkg/etc/udev/rules.d/54-gphoto.rules || return 1
   install -m755 -d ${startdir}/pkg/lib
   mv ${startdir}/pkg/usr/lib/udev ${startdir}/pkg/lib/ || return 1
-  # fix usb and usb_device subsystems
-  cd ${startdir}/pkg/etc/udev/rules.d/
-  patch -Np0 -i ${startdir}/src/fix-udev.patch || return 1
+#  fix usb and usb_device subsystems
+#  cd ${startdir}/pkg/etc/udev/rules.d/
+#  patch -Np0 -i ${startdir}/src/fix-udev.patch || return 1
 }





More information about the arch-commits mailing list